##CH6.Tab4.Null.Covs.r

library(lavaan)

##Set up##
dat <- read.table(file = "grade7and8.long.823.dat", 
                col.names = c("PAT1P1","PAT1P2","PAT1P3","NAT1P1","NAT1P2","NAT1P3",
                              "PAT2P1","PAT2P2","PAT2P3","NAT2P1","NAT2P2","NAT2P3",
                              "PAT3P1","PAT3P2","PAT3P3","NAT3P1","NAT3P2","NAT3P3",
                             "grade", "female","black", "hispanic","other"))

##look at your data
#head(dat)


##Make model##
mod1 <-'
	### indicator variance
	PAT1P1 ~~ P1*PAT1P1 
	PAT1P2 ~~ P2*PAT1P2 
	PAT1P3 ~~ P3*PAT1P3 
	NAT1P1 ~~ P4*NAT1P1 
	NAT1P2 ~~ P5*NAT1P2 
	NAT1P3 ~~ P6*NAT1P3 
	PAT2P1 ~~ P1*PAT2P1 
	PAT2P2 ~~ P2*PAT2P2 
	PAT2P3 ~~ P3*PAT2P3 
	NAT2P1 ~~ P4*NAT2P1 
	NAT2P2 ~~ P5*NAT2P2 
	NAT2P3 ~~ P6*NAT2P3 
	PAT3P1 ~~ P1*PAT3P1 
	PAT3P2 ~~ P2*PAT3P2 
	PAT3P3 ~~ P3*PAT3P3 
	NAT3P1 ~~ P4*NAT3P1 
	NAT3P2 ~~ P5*NAT3P2 
	NAT3P3 ~~ P6*NAT3P3 
	grade ~~ grade 
	female ~~ female
	black  ~~ black
	hispanic ~~ hispanic
	other ~~ other

	### mean
	PAT1P1 ~ t1*1
	PAT1P2 ~ t2*1
	PAT1P3 ~ t3*1
	NAT1P1 ~ t4*1
	NAT1P2 ~ t5*1
	NAT1P3 ~ t6*1
	PAT2P1 ~ t1*1
	PAT2P2 ~ t2*1
	PAT2P3 ~ t3*1
	NAT2P1 ~ t4*1
	NAT2P2 ~ t5*1
	NAT2P3 ~ t6*1
	PAT3P1 ~ t1*1
	PAT3P2 ~ t2*1
	PAT3P3 ~ t3*1
	NAT3P1 ~ t4*1
	NAT3P2 ~ t5*1
	NAT3P3 ~ t6*1
	grade ~ 1 
	female ~ 1
	black  ~ 1
	hispanic ~ 1
	other ~ 1
	'
fit1 <- lavaan(mod1, data = dat, meanstructure=T)

summary(fit1, standardized=T, fit.measures=T)