###CH6.Fig2.Simplex.Cards.r
library(lavaan)
tri.corr <- c(1, rep(0,7), 
					0.523, 1, rep(0,6),
					0.279, 0.523, 1, rep(0,5),
					0.147, 0.279, 0.523, 1, rep(0,4),
					0.078, 0.147, 0.279, 0.523, 1, rep(0,3),
					0.041, 0.078, 0.147, 0.279, 0.523, 1, rep(0,2),
					0.022, 0.041, 0.078, 0.147, 0.279, 0.523, 1, 0,
					0.011, 0.022, 0.041, 0.078, 0.147, 0.279, 0.523, 1)
upper <-  matrix(tri.corr, 8, byrow=FALSE)
lower <-  matrix(tri.corr, 8, byrow=TRUE)
mycorr <- upper + lower - diag(8)

rownames(mycorr) <- c("Time1", "Time2", "Time3", "Time4", "Time5", "Time6",  "Time7",  "Time8")
colnames(mycorr) <- c( "Time1", "Time2", "Time3", "Time4", "Time5", "Time6",  "Time7",  "Time8")
mynob <- 166


mod6.2 <- '
Time2 ~ Time1
Time3 ~ Time2
Time4 ~ Time3 
Time5 ~ Time4
Time6 ~ Time5
Time7 ~ Time6
Time8 ~ Time7

Time1 ~~ Time1
Time2 ~~ Time2
Time3 ~~ Time3
Time4 ~~ Time4
Time5 ~~ Time5
Time6 ~~ Time6
Time7 ~~ Time7
Time8 ~~ Time8
'

fit6.2 <- lavaan(mod6.2, sample.cov = mycorr, sample.nobs = mynob,  fixed.x=FALSE)
summary(fit6.2 , fit.measures=T)
