##CH6.Tab3.Null.2by3.r
library(lavaan)
dat <- read.table("grade7and8.long.823.dat",               
						col.names = c("PAT1P1","PAT1P2","PAT1P3","NAT1P1","NAT1P2","NAT1P3",
                              "PAT2P1","PAT2P2","PAT2P3","NAT2P1","NAT2P2","NAT2P3",
                              "PAT3P1","PAT3P2","PAT3P3","NAT3P1","NAT3P2","NAT3P3",
                             "grade", "female","black", "hispanic","other"))

nullmod <- '
        PAT1P1 ~~ V1*PAT1P1
        PAT1P2 ~~ V2*PAT1P2
        PAT1P3 ~~ V3*PAT1P3
        NAT1P1 ~~ V4*NAT1P1
        NAT1P2 ~~ V5*NAT1P2
        NAT1P3 ~~ V6*NAT1P3

        PAT2P1 ~~ V1*PAT2P1
        PAT2P2 ~~ V2*PAT2P2
        PAT2P3 ~~ V3*PAT2P3
        NAT2P1 ~~ V4*NAT2P1
        NAT2P2 ~~ V5*NAT2P2
        NAT2P3 ~~ V6*NAT2P3

        PAT3P1 ~~ V1*PAT3P1
        PAT3P2 ~~ V2*PAT3P2
        PAT3P3 ~~ V3*PAT3P3
        NAT3P1 ~~ V4*NAT3P1
        NAT3P2 ~~ V5*NAT3P2
        NAT3P3 ~~ V6*NAT3P3
		
		PAT1P1 ~ T1*1
        PAT1P2 ~ T2*1
        PAT1P3 ~ T3*1
        NAT1P1 ~ T4*1
        NAT1P2 ~ T5*1
        NAT1P3 ~ T6*1

        PAT2P1 ~ T1*1
        PAT2P2 ~ T2*1
        PAT2P3 ~ T3*1
        NAT2P1 ~ T4*1
        NAT2P2 ~ T5*1
        NAT2P3 ~ T6*1

        PAT3P1 ~ T1*1
        PAT3P2 ~ T2*1
        PAT3P3 ~ T3*1
        NAT3P1 ~ T4*1
        NAT3P2 ~ T5*1
        NAT3P3 ~ T6*1'

fit1 <- lavaan(nullmod, data=dat, orthogonal=T)
summary(fit1, standardized=T, fit.measures=T)